Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.appserv.management.config
Interface SecurityServiceConfig

All Superinterfaces:
  AMX, AMXConfig, AMXMBeanLogging, ConfigElement, Container, NotificationBroadcaster, NotificationEmitter, PropertiesAccess

public interface SecurityServiceConfig
extends PropertiesAccess, ConfigElement, Container

Configuration for the <security-service> element.

Field Summary
`static java.lang.String` | `J2EE_TYPE` The j2eeType as returned by `AMX.getJ2EEType()`.

Fields inherited from interface com.sun.appserv.management.config.PropertiesAccess
`PROPERTY_PREFIX`

Fields inherited from interface com.sun.appserv.management.config.AMXConfig
`CONFIG_CREATED_NOTIFICATION_TYPE, CONFIG_OBJECT_NAME_KEY, CONFIG_REMOVED_NOTIFICATION_TYPE`

Fields inherited from interface com.sun.appserv.management.base.AMX
`FULL_TYPE_DELIM, GROUP_CONFIGURATION, GROUP_JSR77, GROUP_MONITORING, GROUP_OTHER, GROUP_UTILITY, J2EE_TYPE_KEY, NAME_KEY, NO_NAME, NULL_NAME`

Fields inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`LOG_RECORD_KEY, LOG_RECORD_NOTIFICATION_TYPE`

Fields inherited from interface com.sun.appserv.management.base.Container
`ATTR_CONTAINEE_J2EE_TYPES`

Method Summary
`AuditModuleConfig` | `createAuditModuleConfig(java.lang.String name, java.lang.String className, boolean auditOn, java.util.Map reservedForFutureUse)` Create a new <audit-module>
`AuthRealmConfig` | `createAuthRealmConfig(java.lang.String name, java.lang.String className, java.util.Map reservedForFutureUse)` Create a new <auth-realm>
`JACCProviderConfig` | `createJACCProviderConfig(java.lang.String name, java.lang.String policyProvider, java.lang.String policyConfigurationFactoryProvider, java.util.Map reservedForFutureUse)` Create a new <jacc-provider>
`MessageSecurityConfig` | `createMessageSecurityConfig(java.lang.String authLayer, java.util.Map reserved)` Create a new <message-security-config>
`java.lang.String` | `getAnonymousRole()`
`boolean` | `getAuditEnabled()`
`java.util.Map` | `getAuditModuleConfigMap()` Calls Container.getContaineeMap( XTypes.AUDIT_MODULE_CONFIG ).
`java.lang.String` | `getAuditModules()`
`java.util.Map` | `getAuthRealmConfigMap()` Calls Container.getContaineeMap( XTypes.AUTH_REALM_CONFIG ).
`java.lang.String` | `getDefaultPrincipal()`
`java.lang.String` | `getDefaultPrincipalPassword()`
`java.lang.String` | `getDefaultRealm()`
`java.lang.String` | `getJACC()`
`java.util.Map` | `getJACCProviderConfigMap()` Calls Container.getContaineeMap( XTypes.JACC_PROVIDER_CONFIG ).
`java.util.Map` | `getMessageSecurityConfigMap()` Calls Container.getContaineeMap( XTypes.MESSAGE_SECURITY_CONFIG ).
`void` | `removeAuditModuleConfig(java.lang.String name)` Removes an
`void` | `removeAuthRealmConfig(java.lang.String name)` Removes an auth-realm element.
`void` | `removeJACCProviderConfig(java.lang.String name)` Removes a jacc-provider element.
`void` | `removeMessageSecurityConfig(java.lang.String authLayer)` Removes message-security-config element.
`void` | `setAnonymousRole(java.lang.String value)`
`void` | `setAuditEnabled(boolean value)`
`void` | `setAuditModules(java.lang.String value)`
`void` | `setDefaultPrincipal(java.lang.String value)`
`void` | `setDefaultPrincipalPassword(java.lang.String value)`
`void` | `setDefaultRealm(java.lang.String value)`
`void` | `setJACC(java.lang.String value)`

Methods inherited from interface com.sun.appserv.management.config.PropertiesAccess
`createProperty, existsProperty, getProperties, getPropertyNames, getPropertyValue, removeProperty, setPropertyValue`

Methods inherited from interface com.sun.appserv.management.base.AMX
`getContainer, getDomainRoot, getFullType, getGroup, getJ2EEType, getName`

Methods inherited from interface com.sun.appserv.management.base.AMXMBeanLogging
`getMBeanEmitLogNotifications, getMBeanLoggerName, getMBeanLogLevel, setMBeanEmitLogNotifications, setMBeanLogLevel`

Methods inherited from interface javax.management.NotificationEmitter
`removeNotificationListener`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Methods inherited from interface com.sun.appserv.management.base.Container
`getByNameContaineeSet, getContainee, getContainee, getContaineeJ2EETypes, getContaineeMap, getContaineeSet, getContaineeSet, getContaineeSet, getMultiContaineeMap`

Field Detail

### J2EE_TYPE

    public static final java.lang.String J2EE_TYPE

  The j2eeType as returned by `AMX.getJ2EEType()`.

  See Also:
    Constant Field Values

Method Detail

### getAnonymousRole

    public java.lang.String getAnonymousRole()

### setAnonymousRole

    public void setAnonymousRole(java.lang.String value)

### getAuditEnabled

    public boolean getAuditEnabled()

### setAuditEnabled

    public void setAuditEnabled(boolean value)

### getAuditModules

    public java.lang.String getAuditModules()

### setAuditModules

    public void setAuditModules(java.lang.String value)

### getDefaultPrincipalPassword

    public java.lang.String getDefaultPrincipalPassword()

### setDefaultPrincipalPassword

    public void setDefaultPrincipalPassword(java.lang.String value)

### getDefaultPrincipal

    public java.lang.String getDefaultPrincipal()

### setDefaultPrincipal

    public void setDefaultPrincipal(java.lang.String value)

### getDefaultRealm

    public java.lang.String getDefaultRealm()

### setDefaultRealm

    public void setDefaultRealm(java.lang.String value)

### getJACC

    public java.lang.String getJACC()

### setJACC

    public void setJACC(java.lang.String value)

### getJACCProviderConfigMap

    public java.util.Map getJACCProviderConfigMap()

  Calls Container.getContaineeMap( XTypes.JACC_PROVIDER_CONFIG ).

  Returns:
    Map of JACCProviderConfig MBean proxies , keyed by name.
  See Also:
    `Container.getContaineeMap(java.lang.String)`

### createJACCProviderConfig

    public JACCProviderConfig createJACCProviderConfig(java.lang.String name,
                                                       java.lang.String policyProvider,
                                                       java.lang.String policyConfigurationFactoryProvider,
                                                       java.util.Map reservedForFutureUse)

  Create a new <jacc-provider>

  Parameters:
    `name` - name of the <jacc-provider>
    `policyProvider` - a classname
    `policyConfigurationFactoryProvider` - a classname
    `reservedForFutureUse` - reserved for future use
  Returns:
    A proxy to the JACCProviderConfig MBean.

### removeJACCProviderConfig

    public void removeJACCProviderConfig(java.lang.String name)

  Removes a jacc-provider element.

  Parameters:
    `name` - The name (id) of the jacc-provider to be removed.

### getAuthRealmConfigMap

    public java.util.Map getAuthRealmConfigMap()

  Calls Container.getContaineeMap( XTypes.AUTH_REALM_CONFIG ).

  Returns:
    Map of AuthRealmConfig MBean proxies, keyed by name.
  See Also:
    `Container.getContaineeMap(java.lang.String)`

### createAuthRealmConfig

    public AuthRealmConfig createAuthRealmConfig(java.lang.String name,
                                                 java.lang.String className,
                                                 java.util.Map reservedForFutureUse)

  Create a new <auth-realm>

  Parameters:
    `name` - name of the <auth-realm>
    `className` - implementing class
    `reservedForFutureUse` - reserved for future use
  Returns:
    Returns a proxy to the created AuthRealmConfig MBean.

### removeAuthRealmConfig

    public void removeAuthRealmConfig(java.lang.String name)

  Removes an auth-realm element.

  Parameters:
    `name` - name of the auth-realm

### getAuditModuleConfigMap

    public java.util.Map getAuditModuleConfigMap()

  Calls Container.getContaineeMap( XTypes.AUDIT_MODULE_CONFIG ).

  Returns:
    Map of AuditModuleConfig MBean proxies, keyed by name.
  See Also:
    `Container.getContaineeMap(java.lang.String)`

### createAuditModuleConfig

    public AuditModuleConfig createAuditModuleConfig(java.lang.String name,
                                                     java.lang.String className,
                                                     boolean auditOn,
                                                     java.util.Map reservedForFutureUse)

  Create a new <audit-module>

  Parameters:
    `name` - name of the <audit-module
    `className` - implementing class
    `auditOn` - true if auditing is on (property)
    `reservedForFutureUse` - reserved for future use

### removeAuditModuleConfig

    public void removeAuditModuleConfig(java.lang.String name)

  Removes an
  Parameters:
    `name` - name of the audit-module

### getMessageSecurityConfigMap

    public java.util.Map getMessageSecurityConfigMap()

  Calls Container.getContaineeMap( XTypes.MESSAGE_SECURITY_CONFIG ).

  Returns:
    Map of MessageSecurityConfig MBean proxies, keyed by name.
  See Also:
    `Container.getContaineeMap(java.lang.String)`

### createMessageSecurityConfig

    public MessageSecurityConfig createMessageSecurityConfig(java.lang.String authLayer,
                                                             java.util.Map reserved)

  Create a new <message-security-config>

  Parameters:
    `authLayer` -
    `reserved` -
  Returns:
    A proxy to the MessageSecurityConfig MBean.
  See Also:
    `MessageSecurityConfigKeys`

### removeMessageSecurityConfig

    public void removeMessageSecurityConfig(java.lang.String authLayer)

  Removes message-security-config element.

  Parameters:
    `authLayer` -

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.